Package Gnumed :: Package pycommon :: Module gmPrinting |
[frames] | no frames]

# Module gmPrinting

source code

GNUmed printing.

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Functions
print_files(filenames=None, jobtype=None, print_api=None) | source code

Variables
| known_printjob_types = ``[``u'``medication_list``'``,` `u'``generic_document``'``]``
| external_print_APIs = ``[``u'``gm-print_doc``'``,` `u'``os_startfile``'``,` `u'``gsp``...``
| __package__ = ``'``Gnumed.pycommon``'``

Imports: logging, sys, os, subprocess, codecs, time, gmShellAPI, gmTools, gmLog2

Variables Details

  ### external_print_APIs Value:
      [u'gm-print_doc',
       u'os_startfile',
       u'gsprint',
       u'acrobat_reader',
       u'gtklp',
       u'Internet_Explorer',
       u'Mac_Preview']